%define anolis_release 11
Summary:	A modern implementation of a DBM
Name:		tokyocabinet
Version:	1.4.48
Release:	%{anolis_release}%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
URL:		http://fallabs.com/tokyocabinet/
Source:		http://fallabs.com/%{name}/%{name}-%{version}.tar.gz
Patch0:		tokyocabinet-fedora.patch
Patch1:		tokyocabinet-manhelp.patch
BuildRequires:	pkgconfig zlib-devel bzip2-devel autoconf

%description
Tokyo Cabinet is a library of routines for managing a database. It is the 
successor of QDBM. Tokyo Cabinet runs very fast. For example, the time required
to store 1 million records is 1.5 seconds for a hash database and 2.2 seconds
for a B+ tree database. Moreover, the database size is very small and can be up
to 8EB. Furthermore, the scalability of Tokyo Cabinet is great.

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files needed for
developing with %{name}.

%package devel-doc
Summary:	Documentation files for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description devel-doc
This package contains documentation files for the libraries and header files
needed for developing with %{name}.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -q
%patch0 -p0 -b .fedora
%patch1 -p1 -b .manhelp

%build
autoconf
%configure --enable-off64 --disable-static CFLAGS="$CFLAGS"
%make_build
										
%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_libdir}/lib%{name}.a

%check
make check

%files
%license COPYING
%{_bindir}/tc*
%{_libdir}/libtokyocabinet.so.*
%{_libexecdir}/tcawmgr.cgi
%{_mandir}/man1/tc*

%files devel
%{_includedir}/tc*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/t*

%files devel-doc
%doc doc/*

%files doc
%doc ChangeLog README

%changelog
* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 1.4.48-11
- Import package for anolis 23
